diff -Naru smc-1.8-orig/src/core/game_core.cpp smc-1.8/src/core/game_core.cpp
--- smc-1.8-orig/src/core/game_core.cpp	2009-04-08 00:48:08.000000000 -0500
+++ smc-1.8/src/core/game_core.cpp	2009-06-05 23:26:43.000000000 -0500
@@ -1632,32 +1632,32 @@
 			if( fs::is_directory( *dir_itr ) )
 			{
 				// ignore hidden directories
-				if( dir_itr->leaf().find( "." ) == 0 )
+				if( dir_itr->filename().find( "." ) == 0 )
 				{
 					continue;
 				}
 
 				if( with_directories )
 				{
-					valid_files.push_back( dir + "/" + dir_itr->leaf() );
+					valid_files.push_back( dir + "/" + dir_itr->filename() );
 				}
 
 				// load all items from the sub-directory
 				if( search_in_sub_directories )
 				{
-					vector<std::string> new_valid_files = Get_Directory_Files( dir + "/" + dir_itr->leaf(), file_type, with_directories );
+					vector<std::string> new_valid_files = Get_Directory_Files( dir + "/" + dir_itr->filename(), file_type, with_directories );
 					valid_files.insert( valid_files.end(), new_valid_files.begin(), new_valid_files.end() );
 				}
 			}
 			// valid file
-			else if( file_type.empty() || dir_itr->leaf().rfind( file_type ) != std::string::npos )
+			else if( file_type.empty() || dir_itr->filename().rfind( file_type ) != std::string::npos )
 			{
-				valid_files.push_back( dir + "/" + dir_itr->leaf() );
+				valid_files.push_back( dir + "/" + dir_itr->filename() );
 			}
 		}
 		catch( const std::exception &ex )
 		{
-			printf( "%s %s\n", dir_itr->leaf().c_str(), ex.what() );
+			printf( "%s %s\n", dir_itr->filename().c_str(), ex.what() );
 		}
 	}
 
diff -Naru smc-1.8-orig/src/overworld/world_manager.cpp smc-1.8/src/overworld/world_manager.cpp
--- smc-1.8-orig/src/overworld/world_manager.cpp	2009-02-17 22:10:12.000000000 -0600
+++ smc-1.8/src/overworld/world_manager.cpp	2009-06-05 23:27:21.000000000 -0500
@@ -116,7 +116,7 @@
 	{
 		try
 		{
-			std::string current_dir = dir_itr->leaf();
+			std::string current_dir = dir_itr->filename();
 
 			// only directories with an existing description
 			if( fs::is_directory( *dir_itr ) && File_Exists( dir + "/" + current_dir + "/description.xml" ) )
@@ -143,7 +143,7 @@
 		}
 		catch( const std::exception &ex )
 		{
-			printf( "%s %s\n", dir_itr->leaf().c_str(), ex.what() );
+			printf( "%s %s\n", dir_itr->filename().c_str(), ex.what() );
 		}
 	}
 }
